pfstmo_reinhard05(1)

NAME
pfstmo_reinhard05 - Photoreceptor based dynamic range reduction

SYNOPSIS
pfstmo_reinhard05 [--brightness <val>] [--chromatic <val>] [--light <val>] [--verbose] [--help]

DESCRIPTION
This command implements a tone mapping operator as described in: Dynamic Range Reduction Inspired by Photoreceptor Physiology. E. Reinhard and K. Devlin. In IEEE Transactions on Visualization and Computer Graphics, 2005.

OPTIONS

--brightness <val>, -b <val>
    Brightness correction (-8..8), parameter 'f' in paper. Default value: 0.0

--chromatic <val>, -c <val>
    Amount of chromatic adaptation (von Kries model) (0..1), parameter 'c' in paper. Default value: 0.0

--light <val>, -l <val>
    Amount of light adaptation adaptation (0..1), parameter 'l' in paper. Default value: 1.0

--verbose
    Print additional information during program execution.

--help
    Print list of commandline options.

EXAMPLES

pfsin memorial.hdr | pfstmo_reinhard05 -s 0.5 | pfsgamma -g 2.2 | pfsout memorial.png
    Tone map image and save it in png format.

SEE ALSO
pfsgamma(1) pfsin(1) pfsout(1) pfsview(1)

BUGS
Please report bugs and comments on implementation to Grzegorz Krawczyk <krawczyk@mpi-sb.mpg.de>.